Subject: Re: Getting reports

From: [email-masked]
Date: Mon, 06 Mar 1995 08:45:32 +0100

rh>
rh>Good afternoon,
rh>
rh>        We have been using the xferstats program and we like it but it
rh>gives reports from inception of the server, which is going on 2 monthes
rh>now. Is there a way to get monthly or even better, weekly reports using 
rh>this utility...? Or is there another utility or do I have to write my own
rh>script....?
rh>
rh>                                                       /Sarao

I use it from within a shell script, which does a monthly cleanup / truncate.
Works fine and is not extremely hard to write :)

Ronald.

__
// Ronald Hello  ([email-masked])
// University of Twente
// Department of Computer Science
// The Netherlands

---

From: [email-masked]
Date: Mon, 06 Mar 1995 12:23:13 -0500

>-Good afternoon,
 >-
 >-        We have been using the xferstats program and we like it but it
 >-gives reports from inception of the server, which is going on 2 monthes
 >-now. Is there a way to get monthly or even better, weekly reports using 
 >-this utility...? Or is there another utility or do I have to write my own
 >-script....?
 >-
 >-                                                       /Sarao
 >-           ************************************************
 >-           *    The lone wolf travels fastest.            *
 >-           *                         -NN09-               *
 >-           ************************************************
 >-
 >-
 >	You can always truncate the log and run stats on that new file. Or
 >grep out the specific dates you want, and run it on that.
 >	I'm still not sure why it won't show activity in anything but the pub
 >part of the directory tree. Anyone have an idea? (I posted about this last
 >week.)
 >
 >	Thanks in advance!
 >
 >Pat
 >-------------------------------------------------------------------------------
 >	  Patrick Salsbury 	                IXI/Visionware           
 >	Sys Admin/Webmaster             4500 Bohannon Dr., Suite #280  
 >	Voice: 415/325-2113	             Menlo Park, CA 94025      
 >	 FAX: 415/325-8710	      X/UNIX/PC Integration Specialists
 >

Here's an option:

I use getstats, a web log analyzer, to make my ftp stats. It's located at

http://www.eit.com/software/getstats/getstats.html

All I do is use a simple awk command to convert the xferstats file to the common
logfile format that getstats takes as input, then run getstats on it. This may 
solve your problem of getting stats on *all* directories.

-Mark